Subject: Re: [PATCH] clone: --dissociate option to mark that reference is only temporary

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Oct 2014 14:50:45 -0700

Marc Branchaud <[email-masked]> writes:

> Yes, but we're cloning gko, not the neighbour.  Doesn't that mean that the
> clone operation won't know about any of the neighbour's refs?

No.  --reference (and a natural implementation of --borrow, I would imagine)
peeks the refs of the repository we borrow from and that is how
clone can say "I already have objects reachable from these refs, so
please send me the remainder" to the repository it is cloning from.